Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QSizeF

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QSizeF

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QSizeF

extends QtJambiObject
implements java.lang.Cloneable

The `QSizeF` class defines the size of a two-dimensional object using floating point precision. A size is specified by a `width()` and a `height()`. It can be set in the constructor and changed using the `setWidth()`, `setHeight()`, or `scale()` functions, or using arithmetic operators. A size can also be manipulated directly by retrieving references to the width and height using the rwidth() and rheight() functions. Finally, the width and height can be swapped using the `transpose()` function.

The `isValid()` function determines if a size is valid. A valid size has both width and height greater than or equal to zero. The `isEmpty()` function returns true if either of the width and height is less than (or equal to) zero, while the `isNull()` function returns true only if both the width and the height is zero.

Use the `expandedTo()` function to retrieve a size which holds the maximum height and width of this size and a given size. Similarly, the `boundedTo()` function returns a size which holds the minimum height and width of this size and a given size.

The `QSizeF` class also provides the `toSize()` function returning a `QSize` copy of this size, constructed by rounding the width and height to the nearest integers.

`QSizeF` objects can be streamed as well as compared.

See also:
  `QSize`, `QPointF`, and `QRectF`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QSizeF()` Constructs an invalid size.
`QSizeF(double w, double h)` Constructs a size with the given `width` and `height`.
`QSizeF(QSize sz)` Constructs a size with floating point accuracy from the given `size`.

Method Summary
`QSizeF` | `add(QSizeF p)` Adds `s` to this QSizeF and returns the result.
`QSizeF` | `boundedTo(QSizeF arg__1)` Returns a size holding the minimum width and height of this size and the given `otherSize`.
`QSizeF` | `clone()` This method is reimplemented for internal reasons
`QSizeF` | `divide(double d)` Divides this QSizeF by the divisor `d` and returns the result.
`QSizeF` | `expandedTo(QSizeF arg__1)` Returns a size holding the maximum width and height of this size and the given `otherSize`.
`static QSizeF` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QSizeF instance pointed to by `nativePointer`.
`double` | `height()` Returns the height.
`boolean` | `isEmpty()` Returns true if either of the width and height is less than or equal to 0; otherwise returns false.
`boolean` | `isNull()` Returns true if both the width and height is 0; otherwise returns false.
`boolean` | `isValid()` Returns true if both the width and height is equal to or greater than 0; otherwise returns false.
`QSizeF` | `multiply(double d)` Multiplies this QSizeF by the factor `d` and return the result.
`static QNativePointer` | `nativePointerArray(QSizeF[] array)` This function returns a QNativePointer that is pointing to the specified QSizeF array.
`void` | `readFrom(QDataStream arg__1)` Reads a QSizeF
`void` | `scale(double w, double h, Qt.AspectRatioMode mode)` Scales the size to a rectangle with the given `width` and `height`, according to the specified `mode`.
`void` | `scale(QSizeF s, Qt.AspectRatioMode mode)` Scales the size to a rectangle with the given `size`, according to the specified `mode`.
`void` | `setHeight(double h)` Sets the height to the given `height`.
`void` | `setWidth(double w)` Sets the width to the given `width`.
`QSizeF` | `subtract(QSizeF p)` Subtracts `s` from this QSizeF and returns the result.
`QSize` | `toSize()` Returns an integer based copy of this size.
`java.lang.String` | `toString()` Returns a string representation of the `this QSizeF`.
`void` | `transpose()` Swaps the width and height values.
`double` | `width()` Returns the width.
`void` | `writeTo(QDataStream arg__1)` Writes thisQSizeF

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QSizeF

    public QSizeF()

  Constructs an invalid size.

See also:
  `isValid()`.

### QSizeF

    public QSizeF(QSize sz)

  Constructs a size with floating point accuracy from the given `size`.

See also:
  `toSize()`.

### QSizeF

    public QSizeF(double w,
                  double h)

  Constructs a size with the given `width` and `height`.

Method Detail

### boundedTo

    public final QSizeF boundedTo(QSizeF arg__1)

  Returns a size holding the minimum width and height of this size and the given `otherSize`.

See also:
  `expandedTo()`, and `scale()`.

### expandedTo

    public final QSizeF expandedTo(QSizeF arg__1)

  Returns a size holding the maximum width and height of this size and the given `otherSize`.

See also:
  `boundedTo()`, and `scale()`.

### height

    public final double height()

  Returns the height.

See also:
  `width()`, and `setHeight()`.

### isEmpty

    public final boolean isEmpty()

  Returns true if either of the width and height is less than or equal to 0; otherwise returns false.

See also:
  `isNull()`, and `isValid()`.

### isNull

    public final boolean isNull()

  Returns true if both the width and height is 0; otherwise returns false.

See also:
  `isValid()`, and `isEmpty()`.

### isValid

    public final boolean isValid()

  Returns true if both the width and height is equal to or greater than 0; otherwise returns false.

See also:
  `isNull()`, and `isEmpty()`.

### writeTo

    public final void writeTo(QDataStream arg__1)

  Writes thisQSizeF

### readFrom

    public final void readFrom(QDataStream arg__1)

  Reads a QSizeF

### scale

    public final void scale(QSizeF s,
                            Qt.AspectRatioMode mode)

  Scales the size to a rectangle with the given `size`, according to the specified `mode`.

### scale

    public final void scale(double w,
                            double h,
                            Qt.AspectRatioMode mode)

  Scales the size to a rectangle with the given `width` and `height`, according to the specified `mode`.
  - If `mode` is `Qt::IgnoreAspectRatio` , the size is set to (`width`, `height`).
  - If `mode` is `Qt::KeepAspectRatio` , the current size is scaled to a rectangle as large as possible inside (`width`, `height`), preserving the aspect ratio.
  - If `mode` is `Qt::KeepAspectRatioByExpanding` , the current size is scaled to a rectangle as small as possible outside (`width`, `height`), preserving the aspect ratio.
  Example:

              QSizeF t1 = new QSizeF(10, 12);
              t1.scale(60, 60, Qt.AspectRatioMode.IgnoreAspectRatio);
              // t1 is (60, 60)

              QSizeF t2 = new QSizeF(10, 12);
              t2.scale(60, 60, Qt.AspectRatioMode.KeepAspectRatio);
              // t2 is (50, 60)

              QSizeF t3 = new QSizeF(10, 12);
              t3.scale(60, 60, Qt.AspectRatioMode.KeepAspectRatioByExpanding);
              // t3 is (60, 72)

See also:
  `setWidth()`, and `setHeight()`.

### setHeight

    public final void setHeight(double h)

  Sets the height to the given `height`.

See also:
  `height()`, rheight(), and `setWidth()`.

### setWidth

    public final void setWidth(double w)

  Sets the width to the given `width`.

See also:
  `width()`, rwidth(), and `setHeight()`.

### toSize

    public final QSize toSize()

  Returns an integer based copy of this size.

  Note that the coordinates in the returned size will be rounded to the nearest integer.

See also:
  QSizeF().

### transpose

    public final void transpose()

  Swaps the width and height values.

See also:
  `setWidth()`, and `setHeight()`.

### width

    public final double width()

  Returns the width.

See also:
  `height()`, and `setWidth()`.

### fromNativePointer

    public static QSizeF fromNativePointer(QNativePointer nativePointer)

  This method returns the QSizeF instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QSizeF[] array)

  This function returns a QNativePointer that is pointing to the specified QSizeF array.

### multiply

    public final QSizeF multiply(double d)

  Multiplies this QSizeF by the factor `d` and return the result.

### divide

    public final QSizeF divide(double d)

  Divides this QSizeF by the divisor `d` and returns the result.

### add

    public final QSizeF add(QSizeF p)

  Adds `s` to this QSizeF and returns the result.

### subtract

    public final QSizeF subtract(QSizeF p)

  Subtracts `s` from this QSizeF and returns the result.

### toString

    public java.lang.String toString()

  Returns a string representation of the `this QSizeF`.

  Overrides:
    `toString` in class `java.lang.Object`

### clone

    public QSizeF clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD